Skip to main content
GET
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
addresses
Get asset addresses
curl --request GET \
  --url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/addresses
[
  {
    "assetId": "<string>",
    "address": "<string>",
    "description": "<string>",
    "tag": "<string>",
    "type": "<string>",
    "customerRefId": "<string>",
    "addressFormat": "SEGWIT",
    "legacyAddress": "<string>",
    "enterpriseAddress": "<string>",
    "bip44AddressIndex": 123,
    "userDefined": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account to return

assetId
string
required

The ID of the asset

Response

A list of deposit addresses

assetId
string
address
string
description
string
tag
string
type
string
customerRefId
string
addressFormat
enum<string>
Available options:
SEGWIT,
LEGACY,
BASE,
PAYMENT
legacyAddress
string
enterpriseAddress
string
bip44AddressIndex
integer
userDefined
boolean